# Get user personal info

This endpoint gets user personal info by user ID.

Endpoint: GET /v2/users/{userId}/personal-info
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `userId` (string, required)
    Identifier for user.

## Query parameters:

  - `includeInactive` (boolean)
    Include inactive users.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `addresses` (array)

  - `addresses.addressLines` (array, required)
    Address lines

  - `addresses.administrativeArea` (string)
    Code of administrative area. For example: DL for Delhi, India.
Highest administrative subdivision which is used for postal
addresses of a country or region.
For example, this can be a state, a province, an oblast, or a prefecture.
Specifically, for Spain this is the province and not the autonomous
community (e.g. "Barcelona" and not "Catalonia").
Many countries don't use an administrative area in postal addresses. E.g.
in Switzerland this should be left unpopulated.
    Example: CA

  - `addresses.administrativeAreaName` (string)
    Name of administrative area. This is full name corresponding to administrativeArea. 
Like Delhi for DL area code. For some places, code and name maybe same as well like Tokyo.
    Example: California

  - `addresses.description` (string)
    Address description
    Example: San Francisco Home

  - `addresses.isDefault` (boolean)
    Whether this address is default address in case multiple addresses are specified.
    Example: true

  - `addresses.languageCode` (string)
    BCP-47 language code of the contents of this address (if known). This is often the UI 
language of the input form or is expected to match one of the languages used in the 
address' country/region, or their transliterated equivalents.
This can affect formatting in certain countries, but is not critical to the correctness 
of the data and will never affect any validation or other non-formatting related operations.
Examples: "zh-Hant", "ja", "ja-Latn", "en".
    Example: en

  - `addresses.locality` (string)
    Generally refers to the city/town portion of the address.
    Example: San Francisco

  - `addresses.locationCode` (string)
    IATA 3-letter location code. See https://www.iata.org/en/services/codes.
    Example: LAX

  - `addresses.organization` (string)
    The name of the organization at the address.
    Example: Spotnana

  - `addresses.postalCode` (string)
    Postal code of the address. This is a required field when setting for a user/legal entity/company etc.
    Example: 94130

  - `addresses.continentCode` (string)
    2 letter continent code of the continent this address falls in.
    Example: AF

  - `addresses.recipients` (array)
    The recipient at the address.

  - `addresses.regionCode` (string, required)
    Region code of the country/region of the address.
    Example: US

  - `addresses.regionName` (string)
    Region name of the country/region of the address.
    Example: America

  - `addresses.revision` (integer)
    Example: 1

  - `addresses.sortingCode` (string)
    Additional, country-specific, sorting code. This is not used
in most regions. Where it is used, the value is either a string like
"CEDEX", optionally followed by a number (e.g. "CEDEX 7"), or just a number
alone, representing the "sector code" (Jamaica), "delivery area indicator"
(Malawi) or "post office indicator" (e.g. Côte d'Ivoire).
    Example: Jamaica

  - `addresses.sublocality` (string)
    Sublocality of the address. This can be neighborhoods, boroughs, districts.

  - `addresses.timezone` (string)
    Time zone of the address.
    Example: America/Los_Angeles

  - `addresses.coordinates` (object)
    Latitude and Longitude for a Location

  - `addresses.coordinates.latitude` (number, required)
    Latitude of the Location
    Example: 77.1025

  - `addresses.coordinates.longitude` (number, required)
    Longitude of the Location
    Example: 28.7041

  - `dob` (object)
    Date in ISO 8601 standard.

  - `dob.iso8601` (string, required)
    Example: 2017-07-21

  - `email` (string)
    Example: example@email.com

  - `emergencyContactInfo` (object)
    Emergency contact information.

  - `emergencyContactInfo.designation` (string)
    Example: MANAGER

  - `emergencyContactInfo.email` (string, required)
    Example: emergency-contact@email.com

  - `emergencyContactInfo.name` (object)
    Full name containing first, middle, last (family) names, and suffix.

  - `emergencyContactInfo.name.family1` (string, required)
    Last (family) name.
    Example: Gandas

  - `emergencyContactInfo.name.family2` (string)
    Example: FamilyTwo

  - `emergencyContactInfo.name.given` (string, required)
    First (given) name.
    Example: Vichitr

  - `emergencyContactInfo.name.middle` (string)
    Middle name.
    Example: Kumar

  - `emergencyContactInfo.name.suffix` (string)
    Suffix for name
    Enum: "NAME_SUFFIX_UNKNOWN", "SR", "JR", "MD", "PHD", "II", "III", "IV", "DO", "ATTY", "V", "VI", "ESQ", "DC", "DDS", "VM", "JD", "SECOND", "THIRD"

  - `emergencyContactInfo.name.preferred` (string)
    Informal preferred name added by traveler. This is not used on any PNR or tickets
    Example: Don

  - `emergencyContactInfo.phoneNumber` (object)
    Properly formatted phone number.

  - `emergencyContactInfo.phoneNumber.countryCode` (integer)
    two digit country code
    Example: 91

  - `emergencyContactInfo.phoneNumber.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `emergencyContactInfo.phoneNumber.extension` (string)
    phone number extension
    Example: 222

  - `emergencyContactInfo.phoneNumber.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `emergencyContactInfo.phoneNumber.italianLeadingZero` (boolean)
    Example: true

  - `emergencyContactInfo.phoneNumber.nationalNumber` (integer)
    Example: 8150

  - `emergencyContactInfo.phoneNumber.numberOfLeadingZeros` (integer)
    Example: 1

  - `emergencyContactInfo.phoneNumber.preferredDomesticCarrierCode` (string)
    Example: 7

  - `emergencyContactInfo.phoneNumber.rawInput` (string)
    Example: 77777

  - `emergencyContactInfo.phoneNumber.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `emergencyContactInfo.userOrgId` (object)
    User and user's organization information.

  - `emergencyContactInfo.userOrgId.organizationAgencyId` (object)
    Agency id for the organization.

  - `emergencyContactInfo.userOrgId.organizationAgencyId.id` (string, required)

  - `emergencyContactInfo.userOrgId.organizationId` (object, required)
    Organization id for traveler.

  - `emergencyContactInfo.userOrgId.organizationId.id` (string, required)

  - `emergencyContactInfo.userOrgId.userId` (object, required)
    User identifier

  - `emergencyContactInfo.userOrgId.userId.id` (string, required)

  - `emergencyContactInfo.userOrgId.tmcInfo` (object)
    TMC config information.

  - `emergencyContactInfo.userOrgId.tmcInfo.id` (object, required)
    Company ID

  - `emergencyContactInfo.userOrgId.tmcInfo.id.id` (string, required)
    Example: f49d00fe-1eda-4304-ba79-a980f565281d

  - `emergencyContactInfo.userOrgId.tmcInfo.primaryServiceProviderTmc` (object, required)
    Primary service provider TMC info

  - `emergencyContactInfo.userOrgId.tmcInfo.secondaryServiceProviderTmcs` (array)
    Secondary service provider TMCs for the TMC.

  - `emergencyContactInfo.userOrgId.tmcInfo.secondaryServiceProviderTmcs.supplier` (string, required)
    Supplier type like Sabre, TravelFusion etc.
    Enum: "SABRE", "AMADEUS", "TRAVEL_FUSION", "FARELOGIX_NDC", "ATPCO_NDC", "TRAINLINE", "AVIA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "NDC", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "HILTON", "NATIONAL", "ALAMO", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "EUROSTAR", "AVIS", "BUDGET", "AMADEUS_NDC", "SIXT"

  - `emergencyContactInfo.userOrgId.tmcInfo.secondaryServiceProviderTmcs.travelType` (string, required)
    Travel Type
    Enum: "AIR", "HOTEL", "CAR", "RAIL", "LIMO", "MISC", "ALL"

  - `emergencyContactInfo.userOrgId.tmcBasicInfo` (object)
    TMC related basic information.

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc` (object, required)
    Basic information about a company.

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.name` (string)

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo` (object)
    An image with meta data. Either the `data` or `url` property must be supplied to load the image.

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.data` (string)
    Example: 6935813e12584abda0e43d71cd2ea260

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.dimensions` (object)
    Image dimensions ie width and height.

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.dimensions.height` (integer)
    Example: 120

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.dimensions.width` (integer)
    Example: 240

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.url` (string)
    Example: https://static.wixstatic.com/media/73f2e2_6935813e12584abda0e43d71cd2ea260~mv2.png/v1/fill/w_630,h_94,al_c,q_85,usm_0.66_1.00_0.01/Spotnana%403x.webp

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.metadata` (object)
    Metadata associated with an image.

  - `emergencyContactInfo.userOrgId.tmcBasicInfo.contractingTmc.logo.metadata.variant` (string)
    Image variant.
    Enum: "LIGHT", "DARK"

  - `gender` (string)
    Enum: "MALE", "FEMALE", "UNSPECIFIED", "UNDISCLOSED", "GENDER_REDACTED"

  - `identityDocs` (array)
    List of user identity documents.
    Example: [{"passport":{"docId":"PASSPORTID","expiryDate":{"iso8601":"2017-07-21"},"issueCountry":"IN","issuedDate":{"iso8601":"2017-07-21"},"nationalityCountry":"IN","type":"REGULAR"}},{"ktn":{"number":"123456…

  - `identityDocs.passport` (object)
    Passport details.

  - `identityDocs.passport.docId` (string, required)
    Example: PassportID

  - `identityDocs.passport.issueCountry` (string, required)
    Example: IN

  - `identityDocs.passport.nationalityCountry` (string, required)
    Example: IN

  - `identityDocs.passport.type` (string)
    Enum: "UNKNOWN", "REGULAR"

  - `identityDocs.immigrationDoc` (object)
    Immigration document details.

  - `identityDocs.immigrationDoc.authorizedStayDuration` (object)
    Represents a duration of time with specific units of time.

  - `identityDocs.immigrationDoc.authorizedStayDuration.iso8601` (string)
    Durations define the amount of intervening time in a time interval and are represented by the
format P[n]Y[n]M[n]DT[n]H[n]M[n]S.
The [n] is replaced by the value for each of the date and time elements that follow the [n].
Leading zeros are not required. The capital letters P, Y, M, W, D, T, H, M, and S are
designators for each of the date and time elements and are not replaced. P is the duration
designator (for period) placed at the start of the duration representation.
Y is the year designator.
M is the month designator.
W is the week designator.
D is the day designator.
T is the time designator.
H is the hour designator.
M is the minute designator.
S is the second designator and can include decimal digits with arbitrary precision.
    Example: PT19H55M

  - `identityDocs.immigrationDoc.docId` (string, required)
    The ID of the immigration document.
    Example: ImmigrationDocumentID

  - `identityDocs.immigrationDoc.issueCountry` (string, required)
    The country that issued the immigration document.
    Example: IN

  - `identityDocs.immigrationDoc.nationalityCountry` (string)
    Example: IN

  - `identityDocs.immigrationDoc.type` (string)
    Enum: "UNKNOWN", "VISA"

  - `identityDocs.redress` (object)
    Redress details

  - `identityDocs.redress.number` (string, required)
    Example: 12345

  - `identityDocs.redress.issueCountry` (string, required)
    Example: US

  - `identityDocs.ktn` (object)
    Information about the Known Traveler Number (KTN).

  - `identityDocs.ktn.number` (string, required)
    Example: 12345

  - `identityDocs.ktn.issueCountry` (string, required)
    Example: US

  - `identityDocs.nationalDoc` (object)
    National Document Id details.

  - `identityDocs.nationalDoc.docId` (string, required)
    Unique id identifying the national document.
    Example: NationalDocId

  - `identityDocs.nationalDoc.issueCountry` (string, required)
    IS0 2 letter country code of the country issuing this id.
    Example: IN

  - `identityDocs.nationalDoc.type` (string)
    Enum: "DNI", "NIE", "CPF", "MTP", "CIN", "NID"

  - `phoneNumbers` (array)

  - `nationality` (string)
    Nationality of user
    Example: Indian

  - `title` (string)
    Enum: "TITLE_UNKNOWN", "MR", "MS", "MRS", "MX", "MASTER", "MISS", "DR", "PROFESSOR", "CAPTAIN", "REVEREND", "HONOURABLE", "SIR", "LADY", "AMBASSADOR", "LORD", "BRIGADIER", "SENATOR", "DAME", "JUSTICE", "UK", "TITLE_REDACTED"

  - `preferredLanguage` (string)
    Language preferred by user.
    Example: en-US

  - `preferredPronoun` (string)
    Enum: "SHE_HER_HERS", "HE_HIM_HIS", "THEY_THEM_THEIRS"

  - `emergencyContact` (object)
    Emergency contact information.

  - `emergencyContact.name` (string, required)
    Full name of contact.
    Example: John Smith

  - `emergencyContact.email` (string)
    Email address of contact.
    Example: emergency-contact@email.com

  - `emergencyContact.designation` (string)
    Job title of contact.
    Example: MANAGER

  - `emergencyContact.relation` (string)
    Relation of contact to user.
    Enum: "RELATION_UNKNOWN", "SPOUSE", "PARENT", "SIBLING", "CHILD", "FRIEND", "RELATIVE", "COLLEAGUE", "OTHER"

  - `emergencyContact.phoneNumbers` (array, required)
    Phone numbers of contact.

  - `emergencyContact.preferredLanguage` (string)
    Language preferred by user.
    Example: en-US

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

